import type { Editor } from 'mem-fs-editor';
/**
 * Adds a new UI5 dependency to the package.json.
 * No longer required for `@ui5/cli` v3 and above.
 *
 * @param fs - the memfs editor instance
 * @param basePath - the base path
 * @param depName - the dependency name
 */
export declare function addUi5Dependency(fs: Editor, basePath: string, depName: string): void;
/**
 * Writes the UI5 repository file.
 *
 * @param fs - the memfs editor instance
 * @param basePath - the base path
 * @param ui5RepositoryFile - the UI5 repository file
 * @param addContent - the content to be added
 */
export declare const writeUi5RepositoryFile: (fs: Editor, basePath: string, ui5RepositoryFile: string, addContent: string) => void;
/**
 * Writes the UI5 repository files if typescript files are found.
 *
 * @param fs - the memfs editor instance
 * @param basePath - the base path
 */
export declare const writeUi5RepositoryFiles: (fs: Editor, basePath: string) => Promise<void>;
//# sourceMappingURL=file.d.ts.map